.nav-container {
  display: flex;
  justify-content: space-between;
  padding: 30px 0;
}

.VitruviX-logo {
  display: block;
  max-width: 90%;
  height: auto;
}

.mobile-hamburger {
  display: block;
  margin: auto 0;
  padding: 3px 10px;
  transition: all 0.3s ease-in-out;
}

.bar {
  display: block;
  width: 35px;
  height: 3px;
  margin: 5px auto;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
  background-color: var(--darkgray);
}

.mobile-hamburger.active {
  transition: all 0.3s ease-in-out;
}

.mobile-hamburger.active .bar:nth-child(2) {
  opacity: 0;
}

.mobile-hamburger.active .bar:nth-child(1) {
  transform: translateY(8px) rotate(45deg);
}

.mobile-hamburger.active .bar:nth-child(3) {
  transform: translateY(-8px) rotate(-45deg);
}

.nav-links {
  display: none;
}

.main-nav {
  height: 25px;
}

.nav-links.active {
  display: flex;
  justify-content: space-between;
  width: 90%;
  margin: 0 auto;
}

.divider {
  color: var(--black);
}

.main-link {
  color: var(--azure);
  letter-spacing: 1.5px;
}

.main-link:hover {
  color: var(--royal);
}

@media screen and (min-width: 1024px) {

  .mobile-hamburger, .divider {
    display: none;
  }

  .navbar {
    display: flex;
  }

  .nav-container {
    width: 60%;
  }

  .main-nav {
    width: 40%;
    height: auto;
    margin: auto 0;
  }

  .nav-links {
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
  }
}

@media screen and (min-width: 1200px) {

  .nav-container {
    width: 70%;
  }

  .main-nav {
    width: 30%;
  }
}